Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.facet.edit.provider
Class FacetItemProvider

    java.lang.Object
      EClassItemProvider
          org.eclipse.gmt.modisco.infra.facet.edit.provider.FacetItemProvider

    public class FacetItemProvider

extends EClassItemProvider

This is the item provider adapter for a

Constructor Summary
`FacetItemProvider(AdapterFactory adapterFactory)` This constructs an instance from a factory and a notifier.

Method Summary
`java.lang.Object` | `getImage(java.lang.Object object)` Return the resource locator for this item provider's resources.
`java.util.List<IItemPropertyDescriptor>` | `getPropertyDescriptors(java.lang.Object object)` This constructs an instance from a factory and a notifier.
`ResourceLocator` | `getResourceLocator()` Return the resource locator for this item provider's resources.
`java.lang.String` | `getText(java.lang.Object object)` This returns the label text for the adapted class.
`void` | `notifyChanged(Notification notification)` Return the resource locator for this item provider's resources.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FacetItemProvider

    public FacetItemProvider(AdapterFactory adapterFactory)

  This constructs an instance from a factory and a notifier.

Method Detail

### getPropertyDescriptors

    public java.util.List<IItemPropertyDescriptor> getPropertyDescriptors(java.lang.Object object)

  This constructs an instance from a factory and a notifier.

### getImage

    public java.lang.Object getImage(java.lang.Object object)

  Return the resource locator for this item provider's resources.

### getText

    public java.lang.String getText(java.lang.Object object)

  This returns the label text for the adapted class.

### notifyChanged

    public void notifyChanged(Notification notification)

  Return the resource locator for this item provider's resources.

### getResourceLocator

    public ResourceLocator getResourceLocator()

  Return the resource locator for this item provider's resources.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD